<?PHP
sapp_include_once('common.php');

// If target page isn't specifyed use domain name for it
if (!sapp_get_param('bbc_mainsite'))
	sapp_set_param('bbc_mainsite', sapp_get_domain_name());

// Check for https support
$ssl = sapp_is_ssl_avaible();

?>

<script type="text/javascript">
<!--
	
	function install_prefix_cH(f)
	{
		if (!f.install_dir.value){
			f.install_prefix.value = "<?=htmlspecialchars(sapp_get_install_prefix())?>";
		} else
			f.install_prefix.value = f.install_dir.value;
		
	}

	function install_prefix_oC(f)
	{

		if (f.install_type[0].checked){
			f.install_prefix.value = ".";
			f.install_dir.disabled = true;
		}

		if (f.install_type[1].checked) {
			f.install_prefix.value = f.install_dir.value
			if ((f.install_prefix.value == ".") || (!f.install_prefix.value))
				f.install_prefix.value = "<?=htmlspecialchars(sapp_get_install_prefix())?>";
			f.install_dir.disabled = false;
			f.install_dir.value = f.install_prefix.value;
			f.install_dir.focus();
			f.install_dir.select();
		}
		
		if (f.install_dir.value == "."){
			f.install_dir.value = "";
		}
	}
	
-->
</script>

<? 
	$document_root_available = false;
	if (function_exists('sapp_check_install_prefix')){
		$ret = sapp_check_install_prefix(SITEAPP_PREFIX_ROOT);
		if (in_array($ret, array(SITEAPP_DIR_NOT_EXISTS, SITEAPP_DIR_USED_BY_UNKNOWN))){
			$document_root_available = true;
		}
	}
	$in_document_root = ($document_root_available && (sapp_get_install_prefix() == ".")) ? true : false;
?>	

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">
	<!-- Https support section -->
	
	<? if (sapp_is_ssl_avaible()): ?>
	
	<tr <?=sapp_is_wrong('ssl') ? 'class="error"' : ''?>>
	        <td class="name"><?=msg('ssl')?>&nbsp;<?=REQ?></td>
	        <td>
	                <SELECT name="ssl">
	                        <OPTION value="false" <?=sapp_get_param('ssl')=='http' ? 'SELECTED':''?>><?=msg('ssl_off');?></OPTION>
	                        <OPTION value="true"  <?=sapp_get_param('ssl')=='https' ? 'SELECTED':''?>><?=msg('ssl_on');?></OPTION>
	                </SELECT>
	                <span class="hint"><?=sapp_is_wrong('ssl') ? sapp_get_wrong('ssl') : ''?></span>
	        </td>
	</tr>
	
	<? endif; ?>
	
	<!-- End of https support section -->

	<tr <?=((!$document_root_available || $in_document_root) && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?> <?=REQ?></label></td>
<? if ($document_root_available): ?>	
	<td>
		<input type="radio" name="install_type" id="fid-install_type_std" value="." onclick="install_prefix_oC(this.form);" <?=$in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_std"><?=msg('prefix_document_root');?></label>
		<span class="hint"><?=($in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
	</tr>
	<tr <?=(!$in_document_root && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
	<td><td>
	<input type="radio" name="install_type" id="fid-install_type_other" onclick="install_prefix_oC(this.form);" <?=!$in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_other"><?=msg('prefix_other');?></label> 
<? else: ?>
	<td>
<? endif; ?>	
	<input type="text" name="install_dir" id="fid-install_dir" value="<?= $in_document_root ? "" : htmlspecialchars(sapp_get_install_prefix())?>" onchange="install_prefix_cH(this.form);" <?=($in_document_root)?"disabled":''?>>
	<input type="hidden" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
	<span class="hint"><?=(!$in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>
</table>

</fieldset>

<fieldset>
	<legend><?=msg('configuration')?></legend>

<TABLE class="formFields" width="100%" cellspacing="0">

<!-- Target page configuration section -->
<TR <?=sapp_is_wrong('bbc_mainsite') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_mainsite"><?=msg('bbc_mainsite')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_mainsite" id="fid-bbc_mainsite" size="35" value="<?=htmlspecialchars(sapp_get_param('bbc_mainsite'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_mainsite') ? sapp_get_wrong('bbc_mainsite') : ''?></span>
	</TD>
</TR>
<!-- End of target page configuration section -->

<!-- Page title section -->
<TR <?=sapp_is_wrong('bbc_titlebar') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_titlebar"><?=msg('bbc_titlebar')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_titlebar" id="fid-bbc_titlebar" size="35" value="<?=htmlspecialchars(sapp_get_param('bbc_titlebar'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_titlebar') ? sapp_get_wrong('bbc_titlebar') : ''?></span>
		<div class="hint">
		<P>
			The following macros are recognized for this option:
			<UL>
				<LI>%SERVER: server name
				<LI>%DATE: the current date
			</UL>
			HTML tags are also allowed.
		</P>
		</div>
	</TD>
</TR>
<!-- End of page title section -->

<!-- Language selection section -->
<TR <?=sapp_is_wrong('bbc_language') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_language"><?=msg('bbc_language')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<SELECT name="bbc_language" id="fid-bbc_language">
			<OPTION value="bg"    <?=sapp_get_param('bbc_language')=='bg'?   'SELECTED':''?>>Bulgarian</OPTION>
			<OPTION value="ca"    <?=sapp_get_param('bbc_language')=='ca'?   'SELECTED':''?>>Canadian</OPTION>
			<OPTION value="cs"    <?=sapp_get_param('bbc_language')=='cs'?   'SELECTED':''?>>Czech</OPTION>
			<OPTION value="da"    <?=sapp_get_param('bbc_language')=='da'?   'SELECTED':''?>>Danish</OPTION>
			<OPTION value="de"    <?=sapp_get_param('bbc_language')=='de'?   'SELECTED':''?>>German</OPTION>
			<OPTION value="en"    <?=sapp_get_param('bbc_language')=='en'?   'SELECTED':''?>>English</OPTION>
			<OPTION value="es"    <?=sapp_get_param('bbc_language')=='es'?   'SELECTED':''?>>Spanish</OPTION>
			<OPTION value="fr"    <?=sapp_get_param('bbc_language')=='fr'?   'SELECTED':''?>>French</OPTION>
			<OPTION value="it"    <?=sapp_get_param('bbc_language')=='it'?   'SELECTED':''?>>Italian</OPTION>
			<OPTION value="lt"    <?=sapp_get_param('bbc_language')=='lt'?   'SELECTED':''?>>Lithuanian</OPTION>
			<OPTION value="nl"    <?=sapp_get_param('bbc_language')=='nl'?   'SELECTED':''?>>Dutch</OPTION>
			<OPTION value="pl"    <?=sapp_get_param('bbc_language')=='pl'?   'SELECTED':''?>>Polish</OPTION>
			<OPTION value="pt-br" <?=sapp_get_param('bbc_language')=='pt-br'?'SELECTED':''?>>Portuguese</OPTION>
			<OPTION value="ro"    <?=sapp_get_param('bbc_language')=='ro'?   'SELECTED':''?>>Romanian</OPTION>
			<OPTION value="ru"    <?=sapp_get_param('bbc_language')=='ru'?   'SELECTED':''?>>Rusian</OPTION>
			<OPTION value="se"    <?=sapp_get_param('bbc_language')=='se'?   'SELECTED':''?>>Swedish</OPTION>
			<OPTION value="zh-cn" <?=sapp_get_param('bbc_language')=='zh-cn'?'SELECTED':''?>>Chinese Simplified</OPTION>
			<OPTION value="zh-tw" <?=sapp_get_param('bbc_language')=='zh-tw'?'SELECTED':''?>>Chinese Traditional</OPTION>
		</SELECT>
		<span class="hint"><?=sapp_is_wrong('bbc_language') ? sapp_get_wrong('bbc_language') : ''?></span>
	</TD>
</TR>
<!-- End of language selection section -->

<!-- Misc parameters section -->
<TR <?=sapp_is_wrong('bbc_maxtime') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_maxtime"><?=msg('bbc_maxtime')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_maxtime" id="fid-bbc_maxtime" size="10" value="<?=htmlspecialchars(sapp_get_param('bbc_maxtime'))?>"> <?=msg('__seconds')?>
		<span class="hint"><?=sapp_is_wrong('bbc_maxtime') ? sapp_get_wrong('bbc_maxtime') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_maxvisible') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_maxvisible"><?=msg('bbc_maxvisible')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_maxvisible" id="fid-bbc_maxvisible" size="10" value="<?=htmlspecialchars(sapp_get_param('bbc_maxvisible'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_maxvisible') ? sapp_get_wrong('bbc_maxvisible') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_maxos') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_maxos"><?=msg('bbc_maxos')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_maxos" id="fid-bbc_maxos" size="10" value="<?=htmlspecialchars(sapp_get_param('bbc_maxos'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_maxos') ? sapp_get_wrong('bbc_maxos') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_maxbrowser') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_maxbrowser"><?=msg('bbc_maxbrowser')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_maxbrowser" id="fid-bbc_maxbrowser" size="10" value="<?=htmlspecialchars(sapp_get_param('bbc_maxbrowser'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_maxbrowser') ? sapp_get_wrong('bbc_maxbrowser') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('max_extension') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-max_extension"><?=msg('max_extension')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="max_extension" id="fid-max_extension" size="10" value="<?=htmlspecialchars(sapp_get_param('max_extension'))?>">
		<span class="hint"><?=sapp_is_wrong('max_extension') ? sapp_get_wrong('max_extension') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_maxrobot') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_maxrobot"><?=msg('bbc_maxrobot')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_maxrobot" id="fid-bbc_maxrobot" size="10" value="<?=htmlspecialchars(sapp_get_param('bbc_maxrobot'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_maxrobot') ? sapp_get_wrong('bbc_maxrobot') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_maxpage') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_maxpage"><?=msg('bbc_maxpage')?>&nbsp;<?=REQ?></TD>
	<TD>
		<INPUT type="text" name="bbc_maxpage" id="fid-bbc_maxpage" size="10" value="<?=htmlspecialchars(sapp_get_param('bbc_maxpage'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_maxpage') ? sapp_get_wrong('bbc_maxpage') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_maxorigin') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_maxorigin"><?=msg('bbc_maxorigin')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<INPUT type="text" name="bbc_maxorigin" id="fid-bbc_maxorigin" size="10" value="<?=htmlspecialchars(sapp_get_param('bbc_maxorigin'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_maxorigin') ? sapp_get_wrong('bbc_maxorigin') : ''?></span>
	</TD>
</TR>
<!-- Misc parameters section -->

<!-- IP addresses section -->
<TR <?=sapp_is_wrong('bbc_ignoreip') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_ignoreip"><?=msg('bbc_ignoreip')?></TD>
	<TD>
		<INPUT type="text" name="bbc_ignoreip" id="fid-bbc_ignoreip" size="35" value="<?=htmlspecialchars(sapp_get_param('bbc_ignoreip'))?>">
		<span class="hint"><?=sapp_is_wrong('bbc_ignoreip') ? sapp_get_wrong('bbc_ignoreip') : ''?></span>
		<div class="hint">
		<P>
			This is useful if you don't want to count the hits of your local LAN or IP (if it's static). Possible notations are:
			<UL> 
				<LI>127. => ignore 127.0.0.1 - 127.255.255.254
				<LI>192.168. => ignore all addresses from 192.168.0.1 - 192.168.0.254
				<LI>192.168.5., 192.168.7.77 => ignore all addresses from 192.168.5.1 - 192.168.5.254 and 192.168.7.77
			</UL>
			If you list more than one expression use a comma as separator and the following format: "127., 192.168."
		</P>
		<P>
			If you are not sure, you may left this field empty.
		</P>
		</div>
	</TD>
</TR>
<!-- End of IP addresses section -->

<!-- Detailed stats section -->
<TR>
	<TD class="name">Check the columns to show in detailed stats</TD>
	<TD>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_id" id="fid-bbc_stat_field_id" <?=sapp_get_param('bbc_stat_field_id')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_id">Id</label> <?=sapp_is_wrong('bbc_stat_field_id')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_time" id="fid-bbc_stat_field_time" <?=sapp_get_param('bbc_stat_field_time')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_time">Time</label> <?=sapp_is_wrong('bbc_stat_field_time')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_visits" id="fid-bbc_stat_field_visits" <?=sapp_get_param('bbc_stat_field_visits')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_visits">Visits</label> <?=sapp_is_wrong('bbc_stat_field_visits')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_ext" id="fid-bbc_stat_field_ext" <?=sapp_get_param('bbc_stat_field_ext')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_ext">Extensions</label> <?=sapp_is_wrong('bbc_stat_field_ext')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_dns" id="fid-bbc_stat_field_dns" <?=sapp_get_param('bbc_stat_field_dns')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_dns">DNS <?=sapp_is_wrong('bbc_stat_field_dns')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_refer" id="fid-bbc_stat_field_refer" <?=sapp_get_param('bbc_stat_field_refer')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_refer">Reference</label> <?=sapp_is_wrong('bbc_stat_field_refer')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_os" id="fid-bbc_stat_field_os" <?=sapp_get_param('bbc_stat_field_os')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_os">OS</label> <?=sapp_is_wrong('bbc_stat_field_os')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_browser" id="fid-bbc_stat_field_browser" <?=sapp_get_param('bbc_stat_field_browser')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_browser">Browser</label> <?=sapp_is_wrong('bbc_stat_field_browser')?></div>
		
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_ip" id="fid-bbc_stat_field_ip" <?=sapp_get_param('bbc_stat_field_ip')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_ip">IP address</label> <?=sapp_is_wrong('bbc_stat_field_ip')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_page" id="fid-bbc_stat_field_page" <?=sapp_get_param('bbc_stat_field_page')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_page">Last visited page</label> <?=sapp_is_wrong('bbc_stat_field_page')?></div>
		<div class="option"><INPUT type="checkbox" name="bbc_stat_field_search" id="fid-bbc_stat_field_search" <?=sapp_get_param('bbc_stat_field_search')!==NULL?'CHECKED':''?>><label for="fid-bbc_stat_field_search">Search query</label> <?=sapp_is_wrong('bbc_stat_field_search')?></div>

	</TD>
</TR>
<!-- End of detailed stats section -->

<!-- Appearence section -->
<TR <?=sapp_is_wrong('bbc_general_align_style') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_general_align_style"><?=msg('bbc_general_align_style')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<SELECT name="bbc_general_align_style" id="fid-bbc_general_align_style">
    		<OPTION value="left"   <?=sapp_get_param('bbc_general_align_style')=='left'?  'SELECTED':''?>>left  </OPTION>
    		<OPTION value="center" <?=sapp_get_param('bbc_general_align_style')=='center'?'SELECTED':''?>>center</OPTION>
    		<OPTION value="right"  <?=sapp_get_param('bbc_general_align_style')=='right'? 'SELECTED':''?>>right </OPTION>
    	</SELECT>
		<span class="hint"><?=sapp_is_wrong('bbc_general_align_style') ? sapp_get_wrong('bbc_general_align_style') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_title_size') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_title_size"><?=msg('bbc_title_size')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<SELECT name="bbc_title_size" id="fid-bbc_title_size">
    		<OPTION value="8" <?=sapp_get_param('bbc_title_size')=='8'?'SELECTED':''?>>8</OPTION>
    		<OPTION value="10" <?=sapp_get_param('bbc_title_size')=='10'?'SELECTED':''?>>10</OPTION>
    		<OPTION value="12" <?=sapp_get_param('bbc_title_size')=='12'?'SELECTED':''?>>12</OPTION>
    		<OPTION value="14" <?=sapp_get_param('bbc_title_size')=='14'?'SELECTED':''?>>14</OPTION>
    		<OPTION value="16" <?=sapp_get_param('bbc_title_size')=='16'?'SELECTED':''?>>16</OPTION>
    		<OPTION value="18" <?=sapp_get_param('bbc_title_size')=='18'?'SELECTED':''?>>18</OPTION>
    	</SELECT>
		<span class="hint"><?=sapp_is_wrong('bbc_title_size') ? sapp_get_wrong('bbc_title_size') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_subtitle_size') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_subtitle_size"><?=msg('bbc_subtitle_size')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<SELECT name="bbc_subtitle_size" id="fid-bbc_subtitle_size">
    		<OPTION value="8" <?=sapp_get_param('bbc_subtitle_size')=='8'?'SELECTED':''?>>8</OPTION>
    		<OPTION value="10" <?=sapp_get_param('bbc_subtitle_size')=='10'?'SELECTED':''?>>10</OPTION>
    		<OPTION value="12" <?=sapp_get_param('bbc_subtitle_size')=='12'?'SELECTED':''?>>12</OPTION>
    		<OPTION value="14" <?=sapp_get_param('bbc_subtitle_size')=='14'?'SELECTED':''?>>14</OPTION>
    		<OPTION value="16" <?=sapp_get_param('bbc_subtitle_size')=='16'?'SELECTED':''?>>16</OPTION>
    		<OPTION value="18" <?=sapp_get_param('bbc_subtitle_size')=='18'?'SELECTED':''?>>18</OPTION>
    	</SELECT>
		<span class="hint"><?=sapp_is_wrong('bbc_subtitle_size') ? sapp_get_wrong('bbc_subtitle_size') : ''?></span>
	</TD>
</TR>

<TR <?=sapp_is_wrong('bbc_text_size') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-bbc_text_size"><?=msg('bbc_text_size')?>&nbsp;<?=REQ?></label></TD>
	<TD>
		<SELECT name="bbc_text_size" id="fid-bbc_text_size">
    		<OPTION value="8" <?=sapp_get_param('bbc_text_size')=='8'?'SELECTED':''?>>8</OPTION>
    		<OPTION value="10" <?=sapp_get_param('bbc_text_size')=='10'?'SELECTED':''?>>10</OPTION>
    		<OPTION value="12" <?=sapp_get_param('bbc_text_size')=='12'?'SELECTED':''?>>12</OPTION>
    		<OPTION value="14" <?=sapp_get_param('bbc_text_size')=='14'?'SELECTED':''?>>14</OPTION>
    		<OPTION value="16" <?=sapp_get_param('bbc_text_size')=='16'?'SELECTED':''?>>16</OPTION>
    		<OPTION value="18" <?=sapp_get_param('bbc_text_size')=='18'?'SELECTED':''?>>18</OPTION>
    	</SELECT>
		<span class="hint"><?=sapp_is_wrong('bbc_text_size') ? sapp_get_wrong('bbc_text_size') : ''?></span>
	</TD>
</TR>
<!-- End of appearence section -->

</TABLE>

</fieldset>
